Service Job Kind
The service job kind resource.
Base/serviceJobKind
GET
/serviceJobKindList service job kinds
Retrieve a paginated list of service job kinds. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/serviceJobKind
curl --request GET \
--url '<your-host>/serviceJobKind?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"name": "Example",
"sequence": 0,
"appearance": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/serviceJobKindRetrieve a service job kind
Fetch a single service job kind by filtering on `id`.
Query parameters
idstringMatch on the service job kind's `id`, e.g. `eq.{id}`.
GET/serviceJobKind
curl --request GET \
--url '<your-host>/serviceJobKind?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"name": "Example",
"sequence": 0,
"appearance": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/serviceJobKindCreate a service job kind
Create a new service job kind.
Body parameters
namestringrequiredsequencenumberrequiredappearanceobjectrequiredPOST/serviceJobKind
curl --request POST \
--url <your-host>/serviceJobKind \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","sequence":0,"appearance":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"name": "Example",
"sequence": 0,
"appearance": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/serviceJobKindUpdate a service job kind
Update an existing service job kind, matched on `id`.
Body parameters
namestringrequiredsequencenumberrequiredappearanceobjectrequiredPATCH/serviceJobKind
curl --request PATCH \
--url '<your-host>/serviceJobKind?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"name": "Example",
"sequence": 0,
"appearance": "string",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/serviceJobKindDelete a service job kind
Delete a service job kind, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the service job kind to delete, e.g. `eq.{id}`.
DELETE/serviceJobKind
curl --request DELETE \
--url '<your-host>/serviceJobKind?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content